Page MenuHomePhabricator

Invalidate navbar cache when JSON is edited
Closed, DeclinedPublic

Description

Author: molly.white5

Description:
As mwalker said: "if you are creating the navigation bar in php; that means it gets cached for logged out users; which means that you would have to invalidate all constituent pages in a book every time the json changes"

A note for later: he suggests this can be done using

Title::makeTitle(1, 'foo')->purgeSquid()


Version: unspecified
Severity: normal
URL: http://www.google-melange.com/gci/task/view/google/gci2013/5890126337015808

Details

Reference
bz52343

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:08 AM
bzimport set Reference to bz52343.
bzimport created this task.Jul 31 2013, 8:08 PM

Published as Google Code-in task.

subins2000 wrote:

Will just executing the function :

Title::makeTitle(1, 'foo')->purgeSquid()

invalidate all constituent pages in a book ?
So, I should add this code in the proper place, Right ?

Change 104208 had a related patch set uploaded by Geek400:
Bug 52343

https://gerrit.wikimedia.org/r/104208

Change 104335 had a related patch set uploaded by Geek400:
BookManagerv2: Clear cache when JSON file changes

https://gerrit.wikimedia.org/r/104335

Change 105441 had a related patch set uploaded by Mayankmadan:
BookManagerv2: Invalidate navbar cache when JSON file changes Invalidate all constituent pages in a book when the JSON file changes.

https://gerrit.wikimedia.org/r/105441

maddiemadan wrote:

How about just using Title::newFromText() method to get a title object and then run purgeSquid() on it?

maddiemadan wrote:

How about https://github.com/wikimedia/mediawiki-core/blob/master/includes/job/jobs/HTMLCacheUpdateJob.php#L137-154 for a solution?
Something like this to purge all the pages?

Change 104335 abandoned by Siebrand:
BookManagerv2: Clear cache when JSON file changes

Reason:
This is simply a newline.

https://gerrit.wikimedia.org/r/104335

Change 105441 abandoned by Bartosz Dziewoński:
BookManagerv2: Invalidate navbar cache when JSON file changes Invalidate all constituent pages in a book when the JSON file changes.

Reason:
There's no will from the uploader to improve this, clearing up the backlog.

https://gerrit.wikimedia.org/r/105441

Aklapper lowered the priority of this task from Normal to Low.Feb 11 2016, 6:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 11 2016, 6:09 PM
MarcoAurelio closed this task as Declined.Nov 7 2017, 9:53 AM
MarcoAurelio added a subscriber: MarcoAurelio.

Declining because BookManagerv2 is an archived extension now. Please see T178938: Archive the BookManagerv2 extension for details. All Gerrit patches were already abandoned long ago.